/* Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Updated: Sun Feb 10 03:01:16 2002 by Jeff Dalton
 * Copyright: (c) 2001, AIAI, University of Edinburgh
 */

package ix.iface.domain;

import java.io.File;

/**
 * A FileFilter that accepts only file types that might contain
 * Doman definitions.
 */
public class DomainFileFilter extends javax.swing.filechooser.FileFilter {
    public String getDescription() { return "Domain descriptions"; }
    public boolean accept(File f) {
	String name = f.getName();
	return name.endsWith(".lsp")
	    || name.endsWith(".xml");
    }
}

