/* Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Updated: Thu May 30 18:07:49 2002 by Jeff Dalton
 * Copyright: (c) 2002, AIAI, University of Edinburgh
 */

package ix.ip2;

import java.util.*;

import ix.icore.*;

import ix.util.*;
import ix.util.lisp.LList;

/**
 * An agenda entry for a WaitForReportsActivity.
 *
 * @see WaitForReportsActivity
 */
public class WaitForReportsItem extends ActivityItem {

    public WaitForReportsItem(Activity activity) {
	 super(activity);
    }

    public void computeStatus() {
    }

    // See IssueAgenda.OtherReportsIssue, which this is based on.

    public boolean wantsActionsFrom(ItemHandler handler) {
	// /\/: This is wrong but will work for now, because
	// the actions we want all come directly from the agenda
	// rather than from handlers.
	return false;
    }

    boolean actionCanBeTakenNow(HandlerAction act) {
	return getStatus() == Status.EXECUTING;
    }

}
