/* Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Updated: Sun May  6 22:02:56 2001 by Jeff Dalton
 * Copyright: (c) 2001, AIAI, University of Edinburgh
 */

package ix.util.context;

import java.util.*;

/**
 * A context-holding stategy that provides a single, global context-holder.
 */
public class GlobalHoldingStrategy extends ContextHoldingStrategy {

    ContextHolder globalContextHolder = new BasicContextHolder();

    public ContextHolder getContextHolder() {
	return globalContextHolder;
    }

}
