:: I-X CoABS Grid Communications Strategy Setvars
:: Austin Tate 30-May-2002
:: Grid communications for I-X can be set up just by altering this script
:: to establish variables used in other I-X communications strategy scripts
:: (grid_base and grid_path) and by adding to java_params if required

:: SET NEXT LINE TO CORRECT GRID BASE
:: If a relative directory path is used (e.g. ..\..\..) then this must be
:: relative to the application directory base used - which in the general
:: case will not be known.  For safety use a fixed directory name.

set grid_base=D:\comms\grid
:: Austin Tate - set grid_base=D:\comms\grid
:: Renia Jeffers - set grid_base=C:\coabsgrid.v3.2.2

:: DO NOT CHANGE REMAINDER
set grid-setvars-script=%grid_base%\scripts\win\startup\setvars.bat

if not exist %grid-setvars-script% goto WRONG_LOCATION_GRID

call %grid-setvars-script%
:: sets COABS_PATH, COABS_CLASSPATH, JINI_CLASSPATH, COABS_CODEBASE
:: and SECURITY_POLICY
:: Note COABS_PATH=grid_base
set grid_path=%COABS_CLASSPATH%;%JINI_CLASSPATH%
:: can add to java_params if required (note must add on start) with
:: set java_params=extras %java_params%
goto END_GRIDSET

:WRONG_LOCATION_GRID
echo     grid base wrong in grid-setvars.bat
pause

:END_GRIDSET
