/* Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Updated: Fri Feb  8 14:24:39 2002 by Jeff Dalton
 * Copyright: (c) 2001, AIAI, University of Edinburgh
 */

package ix.icore;

import java.util.*;
import ix.util.*;

/**
 * Objects that have annotations.
 */
public interface Annotated {

    public Annotations getAnnotations();

    public void setAnnotations(Annotations annotations);

    public Object getAnnotation(Object key);

    public void setAnnotation(Object key, Object value);

}
