/* Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Updated: Sun Apr 28 18:43:52 2002 by Jeff Dalton
 * Copyright: (c) 2002, AIAI, University of Edinburgh
 */

package ix.icore.process.event;

import java.util.EventListener;
import java.util.Map;

public interface ProcessStatusListener extends EventListener {

    public void statusUpdate(ProcessStatusEvent e);

    public void newBindings(ProcessStatusEvent e, Map bindings);

    public void stateChange(ProcessStatusEvent e, Map delta);

}

// Issues:
// * Should this class be called ProcessModelListener?
//   Or should this be just one kind of model listener, devoted
//   specifically to status updates?
