/* Author: Jeff Dalton
 * Updated: Wed May  8 02:17:02 2002 by Jeff Dalton
 * Copyright: (c) 2001 - 2002, AIAI, University of Edinburgh
 */

package ix.ip2;

import ix.icore.process.event.ProcessStatusListener;

// Must also be an instance of a subclass of java.awt.Component
// so that it can be added to a JPanel.  /\/

public interface StateViewer extends ProcessStatusListener {

    /**
     * Sets the viewer back to its initial state (or a reasonable
     * approximation).
     */
    public void reset();

}

